[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'matrix' (#rtl)

# operator :=(Tmatrix2_extended): Tmatrix4_double

Allow assignment of two-dimensional extended precision matrix to four-dimensional double precision matrix

## Declaration

Source position: matrix.pp line 473

`operator operator :=(Tmatrix2_extended): Tmatrix4_double(`
`const v: Tmatrix2_extended`
`):Tmatrix4_double;`

## Description

This operator allows you to use a two-dimensional matrix with extended precision values wherever a four-dimensional matrix with double precision is expected. The extra fields are set to 0 and some accuracy is lost because of the conversion.

Documentation generated on: Feb 26 2014